io.undertow.util

## Class PathTemplateMatch

- java.lang.Object
- - io.undertow.util.PathTemplateMatch

Direct Known Subclasses:
  PathTemplateMatcher.PathMatchResult

    public class PathTemplateMatch
    extends Object

The result of a path template match.

Author:
  Stuart Douglas

### Field Summary

Fields
`static AttachmentKey<PathTemplateMatch>` `ATTACHMENT_KEY`

### Constructor Summary

Constructors
Constructor and Description
`PathTemplateMatch(String matchedTemplate, Map<String,String> parameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMatchedTemplate()`
`Map<String,String>` `getParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ATTACHMENT_KEY

    public static final AttachmentKey<PathTemplateMatch> ATTACHMENT_KEY

### Constructor Detail

#### PathTemplateMatch

    public PathTemplateMatch(String matchedTemplate,
                             Map<String,String> parameters)

### Method Detail

#### getMatchedTemplate

    public String getMatchedTemplate()

#### getParameters

    public Map<String,String> getParameters()